# Dataviz ressources

## books 
 [Interactive Data Visualization for the Web](http://shop.oreilly.com/product/0636920037316.do) , Scott Murray, O’Reilly (2017) 

 [Visualization Analysis and Design](http://www.amazon.com/Visualization-Analysis-Design-Peters-Series/dp/1466508914) , Tamara Munzner, CRC Press (2014)

 [The Functional Art: An introduction to information graphics and visualization](http://www.amazon.com/The-Functional-Art-introduction-visualization/dp/0321834739/) , Alberto Cairo, New Riders (2012)

 [Visual Thinking for Design](http://www.amazon.com/Visual-Thinking-Kaufmann-Interactive-Technologies/dp/0123708966) , Colin Ware, Morgan Kaufman (2008)

[Data Visualization](https://socviz.co)

[Fundamentals of Data Visualization](https://serialmentor.com/dataviz/)

## Cours
https://lyondataviz.github.io/teaching/lyon1-m2/2016/pdfs/1_introduction.pdf
[DataViz Cours Lyon1 M2 2018-2019](https://lyondataviz.github.io/teaching/lyon1-m2/2018/)

[Resources: InfoVis @ UBC CS](http://www.cs.ubc.ca/group/infovis/resources.shtml)

[Les données spatiales avec R](https://maeltheuliere.github.io/rspatial/creer-des-cartogrammes.html)


## Web
[WTF Visualizations](https://viz.wtf)

[deck.gl](https://deck.gl/#/)

[tuning ggplot themes](https://evamaerey.github.io/little_flipbooks_library/taming_themes_in_ggplot/taming_ggplot_themes.html#1)

https://data.world

[The Evolution of a ggplot (Ep. 1)-Cédric Scherer](https://cedricscherer.netlify.com/2019/05/17/the-evolution-of-a-ggplot-ep.-1/)


## Talks 

### Dataveyes
[CAROLINE GOULARD & LUDOVIC RIFFAULT - OpenVis Conf 2018 - YouTube](https://www.youtube.com/watch?v=9aVUtluzvNE&feature=youtu.be)
https://www.linkedin.com/in/carolinegoulard/




## Packages 
ggpubr: publication ready plots
[‘ggplot2’ Based Publication Ready Plots • ggpubr](https://rpkgs.datanovia.com/ggpubr/)

## Programme 
### Lundi 
* Cours 1
	* Introduction visualisation : Quoi ? Pourquoi ? Qui ? Comment ?
	* Types de datasets, types de données, sémantique, table data/autres
* Lab 1 
	* RStudio
	* ggplot2, grammar of graphics 
### Mardi
#### Matin
* Cours 2 
	* Perception: système visuel, marques et canaux, couleurs 
	* Abstraction de tache 
* Lab 2
	* tidy data, wrangling
	* ggplot2
#### Après-midi
* Cours 3
	* Principes de design 
	* Visualisation de données tabulaires
* Lab 3
	* Presentation du projet
	* Web scraping
	* Recherche de dataset
### Mercredi
#### Matin
* Cours 4
	* Visualisation de données tabulaires
	* Interaction
* Lab 4
	* tidy data
#### Après-midi
* Cours 5
	*  Visualisation de données spatiales 

* Lab 5
	* maps, leaflet
### Jeudi
#### Matin
* Cours 6
	* Visualisation de graphs
* Lab 6
	* networks
#### Après-midi
* Cours 7
	* Visualisation de texte
* Lab 7
	* tidy text, word embeddings, …
### Vendredi
#### Matin
* Cours 8
	* Visualisation de données temporelles 
* Lab 8
	* séries temporelles 
#### Après-midi
* Lab 9
	* projet







